cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rubensayshi <...@git.apache.org>
Subject [GitHub] cordova-lib pull request: use plist@1.2 to be able to use cordova ...
Date Wed, 11 Nov 2015 17:27:00 GMT
GitHub user rubensayshi opened a pull request:

    https://github.com/apache/cordova-lib/pull/341

    use plist@1.2 to be able to use cordova with node v0.12.

    `plist@1.1` had `xmlbuilder@2.2` as dependency, which had `engine@<=0.10`.
    with `plist@1.2` it now depends on `xmlbuilder@4.4`.
    
    test needed to be updated and version of plist set to minimum of 1 because `xmlbuilder@4.4`
does empty tags as '<string />' instead of '<string></string>'.
    
    alternatively if for w/e reason you don't want this change you're going to have to change
the `plist` dependency for `cordova-common` to `~1.1.0` to avoid `xmlbuilder@4.4` because
that will make your test fail!

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/rubensayshi/cordova-lib plist-package-update

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cordova-lib/pull/341.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #341
    
----
commit 42c3f3096c786f3aeb328507ddd031cb69ebdf4c
Author: Ruben de Vries <ruben@rubensayshi.com>
Date:   2015-11-11T17:16:52Z

    use plist@1.2 to be able to use cordova with node v0.12.
    plist@1.1 had xmlbuilder@2.2 as dependency, which had engine@<=0.10.
    with plist@1.2 it now depends on xmlbuilder@4.4.
    
    test needed to be updated and version of plist set to minimum of 1 because xmlbuilder@4.4
does empty tags as '<string />' instead of '<string></string>'.

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
For additional commands, e-mail: dev-help@cordova.apache.org


Mime
View raw message